/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: W2JRLR2114TestImpl.java 62602 2011-04-21 14:51:41Z kgrucci $
 */
package com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2114;

import com.sun.ts.lib.util.*;
import javax.jws.WebService;

@WebService(
    portName="W2JRLR2114TestPort",
    serviceName="W2JRLR2114TestService",
    targetNamespace="http://w2jrlr2114testservice.org/W2JRLR2114TestService.wsdl",
    wsdlLocation="WEB-INF/wsdl/W2JRLR2114TestService.wsdl",
    endpointInterface="com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2114.W2JRLR2114Test"
)

public class W2JRLR2114TestImpl implements W2JRLR2114Test {
    public com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2114.IncludedStringResponse echoIncludedStringTest(com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2114.IncludedStringRequest params)  {
     TestUtil.logTrace("SameTargetNamespace test");
     TestUtil.logMsg("value="+params.getStringValue());
     IncludedStringResponse r = new IncludedStringResponse();
     r.setStringValue(params.getStringValue());
     return r;
 }

}
